"""
Terms of Use
The following script is provided for your conveniece and is used at your
own discretion and risk. Digital Frontier is not responsible for any
damage to your computer system or loss of data that results from the
access, download and use of the content on this site.
"""
from pyfbsdk import *
import sys

sPyQtPath = r"C:\Python26\Lib\site-packages"
if not sPyQtPath in sys.path : sys.path.append(sPyQtPath)

from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.uic import loadUi

sUiPath = r"C:\Program Files\Autodesk\MotionBuilder 2012\bin\config\Scripts\TechTalk2012_MBPyQt.ui"

class Main(QWidget) :
    def __init__(self) :
        QWidget.__init__(self, None, Qt.WindowStaysOnTopHint)
        self.ui = loadUi(sUiPath, self)
        self.ui.show()
    def onPushAddButton(self) :
        oNull = FBModelNull("null")
        oNull.Show = True
        self.ui.listWidget.addItem(oNull.Name)
    def onPushDeleteButton(self) :
        index = 0
        for i in range(self.ui.listWidget.count()) :
            item = self.ui.listWidget.item(index)
            if self.ui.listWidget.isItemSelected(item) :
                self.ui.listWidget.takeItem(index)
                o = FBFindModelByName(str(item.text()))
                if o : o.FBDelete()
            else : index += 1
    def onPushSelectButton(self) :
        for item in self.ui.listWidget.selectedItems() :
            o = FBFindModelByName(str(item.text()))
            if o : o.Selected = True


wnd = Main()
